---
title: Create a new user group
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/user-group/create-a-new-user-group/
product: CloudConnexa Docs
---

# Create a new user group

`POST /api/v1/user-groups`

This endpoint creates a new user group with specific properties and permissions, granting access to resources like VPN regions, gateways, and internet access options.

**Attributes**

- **name** (string): A unique identifier for the user group.
- **allCovered** (boolean): Set to true if all VPN regions are accessible. Any new regions added will automatically be accessible to this group.
- **internetAccess** (string): Determines the internet access level for the user group. Supported values:
  - RESTRICTED\_INTERNET: Private and trusted internet traffic is tunneled; all other internet traffic is blocked.
  - SPLIT\_TUNNEL\_OFF: All traffic is tunneled; internet traffic exits from selected Internet Gateways.
  - SPLIT\_TUNNEL\_ON: Private and trusted internet traffic is tunneled; all other internet traffic uses local internet.
- **maxDevice** (integer): The maximum number of devices allowed per user in this group.
- **connectAuth** (string): The authentication mode for connections. Supported values:
  - NO\_AUTH: No authentication required.
  - ON\_PRIOR\_AUTH: Authentication is required on prior timeout.
  - EVERY\_TIME: Authentication is required each time.
- **allRegionsIncluded** (boolean): Set to true to include all current and future regions by default.
- **gatewaysIds** (string): The network gateway’s unique identifier. Leave empty if internet access is restricted or Split Tunnel On used for a User Group.

## Body parameter

```json
{
  "name": "string",
  "vpnRegionIds": [
    "string"
  ],
  "internetAccess": "SPLIT_TUNNEL_ON",
  "maxDevice": 0,
  "connectAuth": "NO_AUTH",
  "allRegionsIncluded": true,
  "gatewaysIds": [
    "string"
  ]
}
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| body | body | [UserGroupRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/usergrouprequest.md) | true | none |
| » name | body | string | false | none |
| » vpnRegionIds | body | \[string\] | false | none |
| » internetAccess | body | string | false | none |
| » maxDevice | body | integer(int32) | false | none |
| » connectAuth | body | string | false | none |
| » allRegionsIncluded | body | boolean | false | none |
| » gatewaysIds | body | \[string\] | false | none |

### Enumerated Values

| Parameter | Value |
| --- | --- |
| » internetAccess | SPLIT\_TUNNEL\_ON |
| » internetAccess | SPLIT\_TUNNEL\_OFF |
| » internetAccess | RESTRICTED\_INTERNET |
| » connectAuth | NO\_AUTH |
| » connectAuth | ON\_PRIOR\_AUTH |
| » connectAuth | EVERY\_TIME |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 201 | [Created](https://tools.ietf.org/html/rfc7231#section-6.3.2) | Created | [UserGroupResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/usergroupresponse.md) |

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [Get page of existing user groups](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/user-group/get-page-of-existing-user-groups.md)
Next: [OAuth](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/oauth.md)
Index: https://openvpn.net/cloud-docs/llms.txt
